import request from "@/utils/request";

// 查询巡逻点位列表分页
export function doGetPositionlist(data) {
  return request({
    url: "/manage/api/v1/position/page",
    method: "post",
    data,
  });
}

// 查询巡逻点位列表
export function doGetPosition(data) {
  return request({
    url: "/manage/api/v1/position/list",
    method: "post",
    data,
  });
}

// 添加-编辑
export function doEditPosition(data) {
  return request({
    url: "/manage/api/v1/position/add",
    method: "post",
    data,
  });
}

// 删除
export function doDeletePosition(positionId) {
  return request({
    url: `manage/api/v1/position/del/${positionId}`,
    method: "get",
  });
}
